

# Bizaopay Mobile Money Payment

Bizaopay est un module de paiement conçu pour les sites web développés avec le CMS Prestashop.

Il vient faciliter l’intégration du système de paiement mobile à travers une interface web.

## Prérequis Techniques
```
   Version PrestaShop utilisée  min 1.5

   Version PHP: 7.1+

   CLES DE L’API (CLIENT_ID, CLIENT_SECRET)
```

## Installation

* Télécharger l'archive via ce lien [bizaopay](https://github.com/Bizao-Dev/bizao-prestashop-plugins) .
* Rendez-vous dans votre espace d’administration
* Puis cliquez sur Modules ensuite catalogues de modules.
* Vous devez avoir un bouton INSTALLER UN MODULE en haut.
* Cliquez dessus puis charger l’archive du module.
* Une fois l’importation terminée avec succès, vous devez trouver le module Bizaopay au niveau GESTIONNAIRE DE MODULES


## CONFIGURATION DU MODULE
Pour configurer le module Bizaopay  cliquer sur MODULE ensuite GESTIONNAIRE DE MODULES.

Rechercher avec le terme “bizaopay” et cliquer sur le bouton “CONFIGURER”

La page de configuration devrait apparaître

Vous devez renseigner différents types de champs

* CLIENT ID (Obligatoire) fourni par Bizao

* CLIENT SECRET (Obligatoire) fourni par Bizao  

* REFERENCE (Obligatoire) fournie par Bizao

* STATE (Obligatoire) fournie par Bizao

* TEXT DU BOUTON DE PAIEMENT (Obligatoire et Prédéfini) C’est le texte qui doit s’afficher sur la liste des moyens de paiement  

* DESCRIPTION DU BOUTON DE PAIEMENT (Obligatoire et Prédéfini) C’est le texte qui doit s’afficher une fois que l’utilisateur aura sélectionner Bizaopay comme moyen de paiement.

* URL DE NOTIFICATION une url sur lequel Bizao va envoyer les informations de la transaction

* MESSAGE EN CAS DE SUCCES (Prédéfini) Message que verra l’utilisateur en cas de succès de paiement

* MESSAGE EN CAS D’ECHEC (Prédéfini) Message que verra l’utilisateur en cas d’échec de paiement

```
Une fois tous ces champs bien renseignés cliquer sur le bouton ENREGISTRER en bas.
```
* Penser à bien configurer les devises sur votre site

## Contributeurs
 * BIZAO DEV TEAM
## License
[MIT](https://choosealicense.com/licenses/mit/)
